Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1547719 (CVE-2018-7253) - CVE-2018-7253 wavpack: Heap-based buffer over-read in ParseDsdiffHeaderConfig function in cli/dsdiff.c
Summary: CVE-2018-7253 wavpack: Heap-based buffer over-read in ParseDsdiffHeaderConfig...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7253
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1547721 1547722 1547723 1547724
Blocks: 1547741
TreeView+ depends on / blocked
 
Reported: 2018-02-21 19:50 UTC by Pedro Sampaio
Modified: 2019-09-29 14:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds heap read flaw was found in the way WavPack handled processing of DSD files. An attacker could potentially use this flaw to crash WavPack by tricking it into processing crafted DSD files.
Clone Of:
Environment:
Last Closed: 2018-10-06 01:55:01 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-02-21 19:50:45 UTC
The ParseDsdiffHeaderConfig function of the cli/dsdiff.c file of WavPack 5.1.0 allows an attacker to cause a denial-of-service via heap-based buffer over-read.

Upstream bug:

https://github.com/dbry/WavPack/issues/28

Upstream patch:

https://github.com/dbry/WavPack/commit/36a24c7881427d2e1e4dc1cef58f19eee0d13aec

Comment 1 Pedro Sampaio 2018-02-21 19:51:25 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: epel-7 [bug 1547721]
Affects: fedora-all [bug 1547724]


Created wavpack tracking bugs for this issue:

Affects: fedora-all [bug 1547723]


Note You need to log in before you can comment on or make changes to this bug.